package com.atlassian.bitbucket.scm.git.command.merge;

import com.atlassian.bitbucket.repository.Repository;
import com.atlassian.bitbucket.scm.git.command.GitCommandBuilderSupport;

import javax.annotation.Nonnull;

public interface GitMergeBaseBuilderSupport<B extends GitMergeBaseBuilderSupport<B>>
        extends GitCommandBuilderSupport<B> {

    /**
     * @since 4.4
     */
    @Nonnull
    B alternates(@Nonnull Iterable<Repository> values);

    @Nonnull
    B commit(String value);

    @Nonnull
    B commits(Iterable<String> value);

    @Nonnull
    B commits(String value, String... values);
}
